# List all settings Get a list of all available settings in your tenant. The response message is by default in JSON format. If you want to receive all the available settings in csv format, include Accept in the header parameters and set it to application/csv. See a 200 response sample in CSV format that lists all available settings. See a 200 response sample in JSON format that lists all available parameters of each setting. You can find a specific operation of an available setting item in your tenant from the 200 response body of this call. See the following common use cases of Settings API for how to operate on a specifc setting item. * Billing Rules: * Get a specific setting - Billing Rules * Update a specific setting - Billing Rules * Get accounting rules - Billing Rules * Age Buckets: * Get Age Buckets * Update Age Buckets * Invoice Templates: * Get a specific Invoice Template * Get all Invoice Templates * Create a new Invoice Template * Update a specific Invoice Template * Delete a specific Invoice Template * Invoice Group: * Create an invoice group * Update an invoice group * Get a specific invoice group * Communications Profiles: * Create a new Communication Profile * Get a Communication Profile * Get all Communication Profiles * Modify a Communication Profile * Notification Definitions: * Get all notification definitions under a particular Communication Profile * Create a notification definition under a particular Communication Profile * Get a notification definition * Update a notification definition * Delete a notification definition * Reusable Blocks: * Create or update reusable blocks * Get all reusable blocks * Get a reusable block * Update a reusable block * Delete a reusable block * Chart of Accounts: * Get Chart of Accounts * Add a new Chart of Account * Quote Templates: * Get all Quote Templates * Get a specific Quote Template * Create a new Quote Template * Direct Integration Tax Engine: * Create a Tax Engine * Retrieve a Tax Engine * Update a Tax Engine * Connect Tax Engines: * Create a Connect Tax Engine * Get a Connect Tax Engine * Update a Connect Tax Engine * Delete a Connect Tax Engine * Zuora Tax Engine: * Get Tax Engines * Create Tax Code using Zuora Tax Engine * Get Tax Code using Zuora Tax Engine * Update Tax Code using Zuora Tax Engine * Delete Tax Code using Zuora Tax Engine * Zuora Tax Rate Period: * Create Tax Rate Periods * Get Tax Rate Periods * Update Tax Rate Periods * Delete Tax Rate Periods * Zuora Tax Code: * Get Specific Tax Code ID * Create Tax Codes * Update Tax Codes * Delete Tax Codes * Zuora Tax Rates: * Get List of Tax Rates * Create Tax Rates * Update Tax Rates * Delete Tax Rates * Units of Measure: * Create a Unit of Measure * Get a Unit of Measure * Get all Units of Measure * Update a Unit of Measure * Delete a Unit of Measure * Summary Statement: * Get a specific summary statement template * Get all templates for summary statement * Create a new summary statement template * Update a specific summary statement template * Delete a specific summary statement template Endpoint: GET /settings/listing Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Accept` (string) Specifies response media type. If you omit the Accept header parameter, the response body is by default in JSON format. If you include Accept header parameter and set it to application/csv, the response body is in csv format. ## Response 200 fields (application/csv): - `settings` (array) - `settings.context` (string) The context where this setting item is effective. Enum: "Tenant", "Entity", "User", "None" - `settings.description` (string) The description of the setting item as you see from Zuora UI. - `settings.httpOperations` (array) An array of HTTP operation methods that are supported on this setting endpoint. - `settings.httpOperations.method` (string) One of the HTTP methods supported by the setting endpoint, for example, GET,PUT,POST or DELETE. Enum: "GET", "HEAD", "POST", "PUT", "PATCH", "DELETE", "OPTIONS", "TRACE" - `settings.httpOperations.parameters` (array) An array of paramters required by this operation. - `settings.httpOperations.parameters.description` (string) The description of the paramter. - `settings.httpOperations.parameters.name` (string) The name of the parameter. - `settings.httpOperations.requestType` (object) JSON Schema for the request body of this operation. - `settings.httpOperations.responseType` (object) JSON Schema for the response body of this operation. - `settings.httpOperations.url` (string) The endpoint url of the operation method. For example, /settings/billing-rules. - `settings.key` (string) The unique key to distinguish the setting item. - `settings.pathPattern` (string) The path pattern of the setting endpoint, relative to /settings. For example, /billing-rules.